QueryOperationContext (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.operations, class: QueryOperationContext

Package org.apache.geode.cache.operations

# Class QueryOperationContext

java.lang.Object
org.apache.geode.cache.operations.OperationContext
org.apache.geode.cache.operations.QueryOperationContext

Direct Known Subclasses:
  `ExecuteCQOperationContext`

@Deprecated public class QueryOperationContext extends OperationContext
Deprecated.
since Geode1.0, use `ResourcePermission` instead
Encapsulates a cache query operation for both the pre-operation and post-operation cases.

Since:
  GemFire 5.5

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.geode.cache.operations.OperationContext

  `OperationContext.OperationCode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryOperationContext(String queryString, Set regionNames, boolean postOperation)`
  Deprecated.
  Constructor for the query operation.
  `QueryOperationContext(String queryString, Set regionNames, boolean postOperation, Object[] queryParams)`
  Deprecated.
  Constructor for the query operation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OperationContext.OperationCode`
  `getOperationCode()`
  Deprecated.
  Return the operation associated with the `OperationContext` object.
  `String`
  `getQuery()`
  Deprecated.
  Return the query string of this query operation.
  `Object[]`
  `getQueryParams()`
  Deprecated.
  Get the bind parameters for the query
  `Object`
  `getQueryResult()`
  Deprecated.
  Get the result of the query execution.
  `Set`
  `getRegionNames()`
  Deprecated.
  Get the names of regions that are part of the query string.
  `boolean`
  `isPostOperation()`
  Deprecated.
  True if the context is for post-operation.
  `void`
  `modifyQuery(String query)`
  Deprecated.
  Modify the query string.
  `void`
  `setPostOperation()`
  Deprecated.
  Set the post-operation flag to true.
  `void`
  `setQueryResult(Object queryResult)`
  Deprecated.
  Set the result of query operation.
  `void`
  `setRegionNames(Set regionNames)`
  Deprecated.
  Set the names of regions that are part of the query string.

  ### Methods inherited from class org.apache.geode.cache.operations.OperationContext

  `isClientUpdate, isClientUpdate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QueryOperationContext

    public QueryOperationContext(String queryString, Set regionNames, boolean postOperation)
    Deprecated.
    Constructor for the query operation.
    Parameters:
      `queryString` - the query string for this operation
      `regionNames` - names of regions that are part of the query string
      `postOperation` - true to set the post-operation flag

  - ### QueryOperationContext

    public QueryOperationContext(String queryString, Set regionNames, boolean postOperation, Object[] queryParams)
    Deprecated.
    Constructor for the query operation.
    Parameters:
      `queryString` - the query string for this operation
      `regionNames` - names of regions that are part of the query string
      `postOperation` - true to set the post-operation flag
      `queryParams` - the bind parameters for the query

- ## Method Details

  - ### getOperationCode

    public OperationContext.OperationCode getOperationCode()
    Deprecated.
    Return the operation associated with the `OperationContext` object.
    Specified by:
      `getOperationCode` in class `OperationContext`
    Returns:
      the `OperationCode` of this operation

  - ### isPostOperation

    public boolean isPostOperation()
    Deprecated.
    True if the context is for post-operation.
    Specified by:
      `isPostOperation` in class `OperationContext`
    Returns:
      whether the context is for post-operation

  - ### setPostOperation

    public void setPostOperation()
    Deprecated.
    Set the post-operation flag to true.

  - ### getQuery

    public String getQuery()
    Deprecated.
    Return the query string of this query operation.
    Returns:
      the query string of this query operation

  - ### modifyQuery

    public void modifyQuery(String query)
    Deprecated.
    Modify the query string.
    Parameters:
      `query` - the new query string for this query.

  - ### getRegionNames

    public Set getRegionNames()
    Deprecated.
    Get the names of regions that are part of the query string.
    Returns:
      names of regions being queried.

  - ### setRegionNames

    public void setRegionNames(Set regionNames)
    Deprecated.
    Set the names of regions that are part of the query string.
    Parameters:
      `regionNames` - names of regions being queried

  - ### getQueryResult

    public Object getQueryResult()
    Deprecated.
    Get the result of the query execution.
    Returns:
      result of the query.

  - ### setQueryResult

    public void setQueryResult(Object queryResult)
    Deprecated.
    Set the result of query operation.
    Parameters:
      `queryResult` - the new result of the query operation.

  - ### getQueryParams

    public Object[] getQueryParams()
    Deprecated.
    Get the bind parameters for the query
    Returns:
      bind parameters for the query